diff --git a/pgadmin/debugger/dlgDirectDbg.cpp b/pgadmin/debugger/dlgDirectDbg.cpp
index 85224fd..f5b070c 100644
--- a/pgadmin/debugger/dlgDirectDbg.cpp
+++ b/pgadmin/debugger/dlgDirectDbg.cpp
@@ -294,7 +294,12 @@ void dlgDirectDbg::populateParamGrid( )
 		activateDebugger();
 	}
 	else
+	{
+		/* Resize the window to look nice */
+		GetSizer()->Layout();
+		GetSizer()->SetSizeHints(this);
 		this->ShowModal();
+	}
 }
 
 ////////////////////////////////////////////////////////////////////////////////
diff --git a/pgadmin/ui/dlgDirectDbg.xrc b/pgadmin/ui/dlgDirectDbg.xrc
index b314fd0..3b8ad45 100644
--- a/pgadmin/ui/dlgDirectDbg.xrc
+++ b/pgadmin/ui/dlgDirectDbg.xrc
@@ -9,41 +9,32 @@
       <growablerows>0</growablerows>
       <growablecols>0</growablecols>
       <object class="sizeritem">
-        <object class="wxNotebook" name="nbNotebook">
-          <size>296,240d</size>
-          <selected>0</selected>
-          <object class="notebookpage">
-            <label>Properties</label>
-            <object class="wxPanel" name="pnlProperties">
-              <object class="wxFlexGridSizer">
-                <cols>1</cols>
-                <vgap>5</vgap>
-                <hgap>5</hgap>
-                <growablerows>1</growablerows>
-                <growablecols>0</growablecols>
-                <object class="sizeritem">
-                  <object class="wxStaticText" name="lblMessage">
-                    <label>Enter the required values for each parameter:</label>
-                  </object>
-                  <flag>wxEXPAND|wxALIGN_CENTRE_VERTICAL|wxTOP|wxLEFT|wxRIGHT</flag>
-                  <border>4</border>
-                </object>
-                <object class="sizeritem">
-                  <object class="wxGrid" name="grdParams">
-                    <tooltip>Set the function/procedure parameter values.</tooltip>
-                  </object>
-                  <flag>wxEXPAND|wxALIGN_CENTRE_VERTICAL|wxTOP|wxLEFT|wxRIGHT</flag>
-                  <border>4</border>
-                </object>
-                <object class="sizeritem">
-                  <object class="wxCheckBox" name="chkPkgInit">
-                    <label>Debug package initializer?</label>
-                  </object>
-                  <flag>wxEXPAND|wxALIGN_CENTRE_VERTICAL|wxALL</flag>
-                  <border>4</border>
-                </object>
-              </object>
+        <object class="wxFlexGridSizer">
+          <cols>1</cols>
+          <vgap>5</vgap>
+          <hgap>5</hgap>
+          <growablerows>1</growablerows>
+          <growablecols>0</growablecols>
+          <object class="sizeritem">
+            <object class="wxStaticText" name="lblMessage">
+              <label>Enter the required values for each parameter:</label>
+            </object>
+            <flag>wxEXPAND|wxALIGN_CENTRE_VERTICAL|wxTOP|wxLEFT|wxRIGHT</flag>
+            <border>4</border>
+          </object>
+          <object class="sizeritem">
+            <object class="wxGrid" name="grdParams">
+              <tooltip>Set the function/procedure parameter values.</tooltip>
+            </object>
+            <flag>wxEXPAND|wxALIGN_CENTRE_VERTICAL|wxTOP|wxLEFT|wxRIGHT</flag>
+            <border>4</border>
+          </object>
+          <object class="sizeritem">
+            <object class="wxCheckBox" name="chkPkgInit">
+              <label>Debug package initializer?</label>
             </object>
+            <flag>wxEXPAND|wxALIGN_CENTRE_VERTICAL|wxALL</flag>
+            <border>4</border>
           </object>
         </object>
         <flag>wxEXPAND|wxALIGN_CENTRE|wxALL</flag>
